Search for saved objects

Base URL
https://{kibana_url}
  • GET /api/saved_objects/_find
Auth Deprecated
Warning

This API is deprecated. This is a legacy Saved Objects API and may be removed in a future version of Kibana.

Searches for Kibana saved objects.

For transferring or backing up saved objects, prefer the export API (POST /api/saved_objects/_export).

Query parameters

per_page number · min: 0 · default: 20

The number of items per page.

page number · min: 0 · default: 1

The page index to return.

type string[] · max items: 100 required

The saved object type or types to search for. Use multiple type values to search across types.

A text search string.

default_search_operator enum · default: OR

The boolean operator to use when combining multiple values.

Values: OR AND
search_fields string[] · max items: 100

The fields to search on.

sort_field string · max length: 1024

The field to sort on.

has_reference union anyOf

Return only saved objects that have a reference to the specified saved object(s).

object or object[]
id string · max length: 512 required
type string · max length: 256 required
has_reference_operator enum · default: OR

The boolean operator to use when combining multiple values.

Values: OR AND
has_no_reference union anyOf

Return only saved objects that do not have a reference to the specified saved object(s).

object or object[]
id string · max length: 512 required
type string · max length: 256 required
has_no_reference_operator enum · default: OR

The boolean operator to use when combining multiple values.

Values: OR AND
fields string[] · max items: 100

The fields to return for each saved object.

filter string · max length: 10000

A KQL filter to apply to the search.

aggs string · max length: 100000

Aggregations as a JSON string.

namespaces string[] · max items: 100

The namespaces (spaces) to search in.

Responses

200

A search response.

application/json
400

A bad request.

application/json
Base URL
https://{kibana_url}